@mixin inline-svg-icon(
	$icon,
    $color: #000,
    $position: 0 50%,
    $size: 2rem 2rem,
    $repeat: no-repeat
) {
	background-image: url('~assets/svg/#{$icon}.svg');
	@if(type-of($repeat) == string) { $repeat: unquote($repeat); }
	@if(type-of($position) == string) { $position: unquote($position); }
	@if(type-of($size) == string) { $size: unquote($size); }
	background-repeat: $repeat;
	background-position: $position;
	background-size: $size;
}
